Get Google Ads Campaigns
Retrieve Google Ads campaigns, storing in and retrieving from MongoDB.
Args: customer_id (int): The Google Ads customer ID to retrieve campaigns for start_date (str): Start date for the data range (YYYY-MM-DD). Defaults to 30 days ago. end_date (str): End date for the data range (YYYY-MM-DD). Defaults to today. force_refresh (bool): Force refresh data from Google Ads API include_drafts (bool): Include non-ENABLED campaigns (PAUSED, REMOVED). Defaults to True. search: Optional text search filter oauth2_token (OAuth2Token): The OAuth2 token for the user approved_user (User): The authenticated user
Returns: GoogleAdsCampaignsResponseSchema: The retrieved campaigns and their source
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
1 - 200Optional specific Token ID